Tryton - Issues

 

Issue5221

Title Relate window title
Priority feature Status resolved
Superseder Inform the client the keyword which is calling an action, Remove window name from Action Window
View: 5612, 5611
Nosy List ced, oscar, pokoli, resteve, reviewbot, roundup-bot
Type feature request Components sao, tryton
Assigned To pokoli Keywords review
Reviews 18111003,25371002
View: 18111003, 25371002

Created on 2016-01-02.11:52:49 by ced, last changed by roundup-bot.

Messages
New changeset 7652ece4e7cb by Sergi Almacellas Abellana in branch 'default':
Show records names in relate tab title
http://hg.tryton.org/sao/rev/7652ece4e7cb
New changeset 011c62ee231a by Sergi Almacellas Abellana in branch 'default':
Show records names in relate window title
http://hg.tryton.org/tryton/rev/011c62ee231a
review25371002 updated at https://codereview.tryton.org/5221/#ps140001
msg26225 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-06-09.11:55:03
On 2016-06-09 11:38, Sergi Almacellas Abellana wrote:
> > Cédric Krier<cedric.krier@b2ck.com>  added the comment:
> > 
> > I see it used in account/move.py and timesheet/line.py
> 
> I reviewed both cases and the string is not rendered as the window_name is used which set in a wizard in both cases. 
> 
> So I think that we can remove the code in issue2350 (as view_header_get is removed in this issue).

OK.
msg26220 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2016-06-09.11:38:04
> Cédric Krier<cedric.krier@b2ck.com>  added the comment:
> 
> I see it used in account/move.py and timesheet/line.py

I reviewed both cases and the string is not rendered as the window_name is used which set in a wizard in both cases. 

So I think that we can remove the code in issue2350 (as view_header_get is removed in this issue).
msg26210 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-06-09.09:51:30
I see it used in account/move.py and timesheet/line.py
msg26194 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2016-06-08.14:03:25
> I'm wondering if we do not have some hack using view_header_get that should be fixed in the same time.

I have done a grep on the client code I don't see any call to view_header_get. So I don't think there is any hack :)
msg26190 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-06-08.12:27:23
I'm wondering if we do not have some hack using view_header_get that should be fixed in the same time.
msg26187 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2016-06-08.11:16:47
Blocking issues where resolved, so I updated both patches to latest trunk version and they can be tested now.
msg26122 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2016-06-06.16:00:08
Sorry they are issue5612 and issue5611
msg26121 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2016-06-06.15:59:23
I make it as deferred untill issue5661 and issue5662 are resolved.
msg26099 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2016-06-03.16:55:46
Here is review25371002 for sao
msg25781 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2016-05-09.16:47:34
I uploaded a patch for tryton in review18111003

I've chosed a limit of 5 as the number of max values to shown, which is currently hardcoded, so I'm wondering if we should make it configurable. 

Once the patch is more stable I will work on a sao version.
msg25777 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-05-09.10:25:45
Yes it is probably good to have a limit here. But I think instead of numbering the records, it will be better to just enumerate the first few and use an ellipsis.
msg25775 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2016-05-09.09:45:34
I'm wondering if we should limit the text when openning multiple objects, so for exmaple if I select 50 parties, it will to much info to show the names of every party, so I'm wondering if we should use: "Invioces (50 parties)" instead of all the names.
msg23846 (view) Author: [hidden] (oscar) (Tryton translator) Date: 2016-01-19.22:58:34
Good idea!
msg23538 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-01-02.11:52:47
We often don't customize the window title of relate/tree action and this is bad because it is confusing when we have many tabs open.
So the idea is that the client append automatically to the names of the origin records to the title.
Example for invoices related to 'Dunder Mifflin' party:
    Invoices (Dunder Mifflin)
History
Date User Action Args
2016-06-15 09:46:01roundup-botsetmessages: + msg26320
2016-06-15 09:44:11roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg26319
2016-06-14 12:45:27reviewbotsetnosy: + reviewbot
messages: + msg26279
2016-06-09 11:55:04cedsetmessages: + msg26225
2016-06-09 11:38:04pokolisetmessages: + msg26220
2016-06-09 09:51:31cedsetmessages: + msg26210
2016-06-08 14:03:25pokolisetmessages: + msg26194
2016-06-08 12:27:23cedsetmessages: + msg26190
2016-06-08 12:24:02cedsetsuperseder: + Remove window name from Action Window, Inform the client the keyword which is calling an action
2016-06-08 11:16:48pokolisetstatus: deferred -> testing
messages: + msg26187

Showing 10 items. Show all history (warning: this could be VERY long)